Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 227991 - ImageMagick needs some love
Summary: ImageMagick needs some love
Keywords:
Status: CLOSED NOTABUG
Alias: None
Product: Fedora
Classification: Fedora
Component: ImageMagick
Version: 6
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Norm Murray
QA Contact:
URL: http://www.imagemagick.org/script/ind...
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2007-02-09 12:40 UTC by Brian Jedsen
Modified: 2007-11-30 22:11 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2007-02-09 12:48:16 UTC


Attachments (Terms of Use)

Description Brian Jedsen 2007-02-09 12:40:15 UTC
Description of problem:
The Magick-config executable is not installed with the Image-Magick package.
Also not installed is libMagick. There may be many others missing.

Version-Release number of selected component (if applicable):
ImageMagick.i386                         6.2.8.0-3.fc6.1        updates

How reproducible:
Always

Steps to Reproduce:
1. yum install ImageMagick
2. try to compile a package dependent on the library
3. watch it fail
  
Actual results:
Magick-config and libMagick are missing

Expected results:
Magick-config and libMagick should be there

Additional info:
I used the rmagick package to test this. There is a popular workaround:
http://smoothrails.com/2007/01/17/
which I fear many people are using, possibly breaking their systems.


Note You need to log in before you can comment on or make changes to this bug.